Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

Android / Fresh installation - Can't compile in Eclipse

Author
Message
Mobiius
Valued Member
16
Years of Service
User Offline
Joined: 27th Feb 2003
Location: The Cold North
Posted: 25th Oct 2012 18:26
I've been following DanielTGC's video to get android packaging installed on my laptop after a rebuild and am having all kinds of difficulty. (I managed it once before, what's wrong with me!! lol)

I've gotten to the point when I'm importing the AGKPlayer107 project, but I have the following problems...

I cannot get the issue resolved. I've installed the admob extra from within the Android SDK manager with no luck and it's doing my head in what I'm going wrong! Can anyone help me?? (I have the beta installed too.)

I was able to get it to work when AppGameKit first came out, but now I'm unable to figure this damn issue out!! I feel like such a n00b! lol

I live for video games! (And beers, and football, and cars!)
See what I live for here: [url]http:\\www.TeamDefiant.co.uk[/url]
Ancient Lady
Valued Member
15
Years of Service
User Offline
Joined: 17th Mar 2004
Location: Anchorage, Alaska, USA
Posted: 25th Oct 2012 19:48
The messages you list indicate that you are working with the v1082 android stuff. Those messages are specific to the v1082 Android project files.

If you want to stick with AppGameKit v1076, make sure to use the android setup from that set.

Cheers,
Ancient Lady
AGK Community Tester
Mobiius
Valued Member
16
Years of Service
User Offline
Joined: 27th Feb 2003
Location: The Cold North
Posted: 26th Oct 2012 11:31
Yes, I'm trying to use the beta and the templates provided with it, not v1076. Does the beta not compile to APK??

I live for video games! (And beers, and football, and cars!)
See what I live for here: [url]http:\\www.TeamDefiant.co.uk[/url]
Ancient Lady
Valued Member
15
Years of Service
User Offline
Joined: 17th Mar 2004
Location: Anchorage, Alaska, USA
Posted: 27th Oct 2012 18:08
The beta does create an APK when all the correct steps are done. I have both v1076 and v1082 Android Players built and installed.

Which templates do you mean? If it is starting with interpreter_android, building for a Tier 1 app, you should be okay.

v1082 did not have any Tier 2 templates at all.

Did you copy all of the relevant v1082 directories to your android setup?

Cheers,
Ancient Lady
AGK Community Tester
risecreature
6
Years of Service
User Offline
Joined: 10th Oct 2012
Location:
Posted: 28th Oct 2012 07:11
Same errors in eclipse.
I have ndk-8 and also, I didn't find Indigo C/C+ in eclipse during the installation.
risecreature
6
Years of Service
User Offline
Joined: 10th Oct 2012
Location:
Posted: 29th Oct 2012 14:41
I've compiled AppGameKit player with AppGameKit 1.076 and it had no problems (same configuration).
But, AppGameKit 1.08 has errors in eclipse when I'm trying to run player or create .APK
Errors are the same
Description Resource Path Location Type
error: Error: No resource found that matches the given name (at 'theme' with value '@style/Theme.Transparent'). AndroidManifest.xml /AGKPlayer107 line 39 Android AAPT Problem
error: Error: String types not allowed (at 'configChanges' with value 'keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize'). AndroidManifest.xml /AGKPlayer107 line 39 Android AAPT Problem
error: Error: String types not allowed (at 'configChanges' with value 'keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize'). AndroidManifest.xml /AGKPlayer107 line 56 Android AAPT Problem
Project 'AGKPlayer107' is missing required library: 'libs/GoogleAdMobAdsSdk-6.1.0.jar' AGKPlayer107 Build path Build Path Problem
The project cannot be built until build path errors are resolved AGKPlayer107 Unknown Java Problem
Ancient Lady
Valued Member
15
Years of Service
User Offline
Joined: 17th Mar 2004
Location: Anchorage, Alaska, USA
Posted: 29th Oct 2012 16:15
Remove the line with the Theme (but remember not to delete the closing '}' on it) and cut the '|screenSize|smallestScreenSize' text from the other two lines.

I've attached the missing jar file (I couldn't find the post that had the link to the site I downloaded it from). Put it in the interpreter_android/libs directory.

Cheers,
Ancient Lady
AGK Community Tester

Attachments

Login to view attachments
risecreature
6
Years of Service
User Offline
Joined: 10th Oct 2012
Location:
Posted: 30th Oct 2012 07:27
Solved, thank you.

Login to post a reply

Server time is: 2019-08-24 08:50:56
Your offset time is: 2019-08-24 08:50:56